diff a/src/java.management/share/native/libmanagement/VMManagementImpl.c b/src/java.management/share/native/libmanagement/VMManagementImpl.c
--- a/src/java.management/share/native/libmanagement/VMManagementImpl.c
+++ b/src/java.management/share/native/libmanagement/VMManagementImpl.c
@@ -99,10 +99,38 @@
   (JNIEnv *env, jobject dummy)
 {
     return JVM_GetVmArguments(env);
 }
 
+JNIEXPORT jstring JNICALL
+Java_sun_management_VMManagementImpl_getAOTMode
+  (JNIEnv *env, jobject dummy)
+{
+    return JVM_AOTGetMode(env);
+}
+
+JNIEXPORT jboolean JNICALL
+Java_sun_management_VMManagementImpl_isAOTRecording
+  (JNIEnv *env, jobject dummy)
+{
+    return JVM_AOTIsTraining(env);
+}
+
+JNIEXPORT jlong JNICALL
+Java_sun_management_VMManagementImpl_getAOTRecordingDuration
+  (JNIEnv *env, jobject dummy)
+{
+    return JVM_AOTGetRecordingDuration(env);
+}
+
+JNIEXPORT jboolean JNICALL
+Java_sun_management_VMManagementImpl_endAOTRecording
+  (JNIEnv *env, jobject dummy)
+{
+    return JVM_AOTEndTraining(env);
+}
+
 JNIEXPORT jlong JNICALL
 Java_sun_management_VMManagementImpl_getTotalClassCount
   (JNIEnv *env, jobject dummy)
 {
     /* JMM_CLASS_LOADED_COUNT is the total number of classes loaded */
